httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: [users@httpd] Httpd2.4.23 make failed with error util_pcre.c:128: error: 'PCRE_DUPNAMES' undeclared (first use in this function)
Date Thu, 29 Sep 2016 09:03:05 GMT
Am 28.09.2016 um 16:06 schrieb noor mahammad:
> Hi Team,
>
> I am trying to install httpd-2.4.23 on redhat system, it is always
> failing as follows,
>
> util_pcre.c: In function 'ap_regcomp':
> util_pcre.c:128: error: 'PCRE_DUPNAMES' undeclared (first use in this
> function)
> util_pcre.c:128: error: (Each undeclared identifier is reported only once
> util_pcre.c:128: error: for each function it appears in.)
> make[2]: *** [util_pcre.lo] Error 1
> make[2]: Leaving directory
> `/opt/taleo/rccagent/wks/worker_1/apache_124194/httpd-2.4.23/server'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory
> `/opt/taleo/rccagent/wks/worker_1/apache_124194/httpd-2.4.23/server'
> make: *** [all-recursive] Error 1
>
> i had used yum install pcre pcre-devel curl curl-devel libxml2
> libxml2-devel expat-devel lua-devel, and then
> /configure --prefix=${APACHE_INSTALL_DIR}
> --with-pcre=/usr/bin/pcre-config --with-included-apr --with-mpm=worker \
> --enable-mods-shared='alias authz_host cache cgi cgid deflate dir
> disk-cache expires headers info logio mem-cache mime_magic negotiation
> proxy proxy_ajp proxy_balancer proxy_http rewrite setenvif ssl version' \
> --enable-reqtimeout \
> --enable-unique-id\
> --disable-asis --disable-auth-basic --disable-auth-basic
> --disable-authn_file \
> --disable-authn-file --disable-authz-groupfile --disable-authz-user \
> --disable-cgi --disable-cgid --disable-filter --disable-imagemap \
> --disable-userdir ${OPTIONAL}

Maybe you haven't installed the pcre dev rpm?

What is the output of "/usr/bin/pcre-config --cflags"? It should be 
something like

   -I/some/path/include

What is the full comnand line shown during make for compiling util_pcre.c?

Is there a file named "pcre.h" in the above /some/path/include?
This file should contain a line similar to:

#define PCRE_DUPNAMES           0x00080000  /* C1       */

If not, which version does it include? For instance PCRE 8.39 contains 
in pcre.h:

#define PCRE_MAJOR          8
#define PCRE_MINOR          39

Regards,

Rainer





---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message